/tripadvisor-reviews

Returns reviews from Tripadvisor businesses. In case no reviews were found by your search criteria, your search request will consume the usage of one review.

↗ Open in API Explorer
GET

Tripadvisor Reviews

Returns reviews from Tripadvisor businesses.

In case no reviews were found by your search criteria, your search request will consume the usage of one review.

Request

Endpoint: GET https://api.outscraper.cloud/tripadvisor-reviews

Parameters

NameInTypeRequiredDescriptionExampleConstraints
query query array<string> Yes Links to Tripadvisor pages (e.g., https://www.tripadvisor.com/Restaurant_Review-g187147-d12947099-Reviews-Mayfair_Garden-Paris_Ile_de_France.html). It supports batching by sending arrays with up to 1000 queries (e.g., query=text1&query=text2&query=text3). It allows multiple queries to be sent in one request and to save on network latency time. - -
limit query integer No The parameter specifies the limit of reviews to get from one query. - default 100
cutoff query integer No The parameter specifies the oldest timestamp value for items. Using the cutoff parameter overwrites sort parameter`. Therefore, the latest records will be at the beginning (newest first). - -
language query string enum No The parameter specifies the language to use for website. - default default, allowed default, all
fields query string No The parameter defines which fields you want to include with each item returned in the response. By default, it returns all fields. Use &fields=query,name to return only the specific ones. - -
async query boolean Yes The parameter defines the way you want to submit your task to Outscraper. It can be set to false to open an HTTP connection and keep it open until you got your results, or true (default) to just submit your requests to Outscraper and retrieve them later (usually within 1-3 minutes) with the Request Results endpoint. Each response is available for 4 hours after a request has been completed. A good practice is to send async requests and start checking the results after the estimated execution time. Check out this Python implementation as an example. As most of the requests take some time to be executed the async=true option is preferred to avoid HTTP requests timeouts. - default true
ui query boolean No The parameter defines whether a task will be executed as a UI task. This is commonly used when you want to create a regular platform task with API. Using this parameter overwrites the async parameter to true. - default false
format query array<string enum> No The parameter defines the format of the output data. Using this parameter overwrites the ui parameter to true. - -
webhook query string No The parameter defines the URL address (callback) to which Outscraper will create a POST request with a JSON body once a task/request is finished. Using this parameter overwrites the webhook from integrations. - -

Responses

200

application/json

The response contains the status of the request and data. Data is an array where each element represents a response for a single query from the request.

{
  "id": "your-request-id",
  "status": "Success",
  "data": [
    [
      {
        "query": "https://www.tripadvisor.com/Restaurant_Review-g187147-d12947099-Reviews-Mayfair_Garden-Paris_Ile_de_France.html",
        "review_link": "https://www.tripadvisor.com/ShowUserReviews-g187147-d12947099-r945962867-Mayfair_Garden-Paris_Ile_de_France.html",
        "review_date": "2024-04-09",
        "author_title": "BertysMum",
        "review_rating": 5,
        "review_title": "Fantastic food, great location, attentive staff",
        "review_text": "We found Mayfair Garden on the last day of our trip to Paris. It was close to our hotel and the Eiffel Tower and we had wanted to see the Tower lit up at night so picked Mayfair Garden as it had good reviews and the location worked for us. \n\nWe are so glad we chose it. It was the best meal that we had during our trip to Paris. We booked a table via their online booking system, the restaurant was very busy that evening so it's probably best to book. We got confirmation via text and email. The staff were very welcoming when we arrived and very attentive throughout our meal. \n\nWe chose the taster menu and were very pleased with each course. The Pink kKachori, Chicken 65 and the Mayfair vanilla dessert were my favourites. They were all delicious and not like anything I have ever tasted before. I would absolutely recommend them. Also the garlic naan was exceptional. It was very light, not doughy like naan that I have had before and it was well flavoured.\n\nWe will visit Paris again in the future and the Mayfair Garden is the one restaurant that I will definitely visit again. \n\n100% recommend....I wish they had a restaurant in the UK so I could visit again sooner!!",
        "review_media": [],
        "owner_title": "",
        "owner_response": ""
      },
      {
        "query": "https://www.tripadvisor.com/Restaurant_Review-g187147-d12947099-Reviews-Mayfair_Garden-Paris_Ile_de_France.html",
        "review_link": "https://www.tripadvisor.com/ShowUserReviews-g187147-d12947099-r934711578-Mayfair_Garden-Paris_Ile_de_France.html",
        "review_date": "2024-01-19",
        "author_title": "430brankac",
        "review_rating": 5,
        "review_title": "Great experience with indian food",
        "review_text": "Great food and very helpful staff.\n\nWe were very well received and served, even though we didn't have a reservation.\nThe restaurant has nice dishes and we liked the wine selection.\nWe will visit this restaurant again.",
        "review_media": [],
        "owner_title": "",
        "owner_response": ""
      },
      {
        "query": "https://www.tripadvisor.com/Restaurant_Review-g187147-d12947099-Reviews-Mayfair_Garden-Paris_Ile_de_France.html",
        "review_link": "https://www.tripadvisor.com/ShowUserReviews-g187147-d12947099-r920290826-Mayfair_Garden-Paris_Ile_de_France.html",
        "review_date": "2023-10-08",
        "author_title": "Ranilsg",
        "review_rating": 5,
        "review_title": "Top class south Asian cuisine in Paris",
        "review_text": "This is the best South Asian cuisine I have tasted to-date in Paris/France. Hospitality at its best with the staff being so courteous and efficient. The overall experience was superb;it's an all-star restaurant.",
        "review_media": [],
        "owner_title": "",
        "owner_response": ""
      }
    ]
  ]
}

202

application/json

The response contains a request ID that can be used to fetch results by using Request Results endpoint. Each response is available for 4 hours after a request has been completed.

{
  "id": "your-request-id",
  "status": "Pending",
  "results_location": "https://api.outscraper.cloud/requests/your-request-id"
}

401

application/json

Wrong or missing API Key (token).

{
  "error": true,
  "errorMessage": "401 Unauthorized: The server could not verify that you are authorized to access the URL requested. You either supplied the wrong credentials (e.g. a bad password), or your browser doesn't understand how to supply the credentials required."
}

402

application/json

Past due invoices or a payment method not connected.

{
  "error": true,
  "errorMessage": "Please close past due invoices or verify your card information is correct."
}

422

application/json

Wrong query url parameters.

{
  "error": true,
  "errorMessage": "422 Unprocessable Entity: The request was well-formed but was unable to be followed due to semantic errors."
}

Code Samples

cURL

curl -X GET "https://api.outscraper.cloud/tripadvisor-reviews?query=https://www.tripadvisor.com/Restaurant_Review-g187147-d12947099-Reviews-Mayfair_Garden-Paris_Ile_de_France.html&limit=3&async=false" -H  "X-API-KEY: YOUR-API-KEY"

cURL (async)

curl -X GET "https://api.outscraper.cloud/tripadvisor-reviews?query=https://www.tripadvisor.com/Restaurant_Review-g187147-d12947099-Reviews-Mayfair_Garden-Paris_Ile_de_France.html&limit=3" -H  "X-API-KEY: YOUR-API-KEY"

Related Endpoints